#!/usr/bin/env ruby

require 'Korundum'

require 'jultagger.rb'
require 'jultaggerview.rb'

description = I18N_NOOP("Music Files Tagger")
version = "0.1"
options = [ ]

about = KDE::AboutData.new("jultagger", I18N_NOOP("JulTagger"), version, description,
                     KDE::AboutData.License_GPL, "(C) 2006 Diego 'Flameeyes' Pettenò", nil, nil, "flameeyes@gentoo.org")
about.addAuthor( "Diego 'Flameeyes' Pettenò", nil, "flameeyes@gentoo.org" )
KDE::CmdLineArgs.init(ARGV, about)
KDE::CmdLineArgs.addCmdLineOptions(options)
app = KDE::Application.new

# see if we are starting with session management
if app.restored?
    RESTORE(Jultagger)
else
    # no session.. just start up normally
    args = KDE::CmdLineArgs.parsedArgs
    if args.count == 0
        widget = Jultagger.new
        widget.show
#     else
# 	    for i in 0...args.count do
#             widget = Jultagger.new
#             widget.show
#         end
    end
end

app.exec

